# Syntax

## Submit feedback

```
POST /v{version}/feedbacks
```

### Description

This API endpoint enables you to submit user feedback into Autoshares Trader's support ticket management system.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema                                                                                                                | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string                                                                                                                |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string                                                                                                                |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string                                                                                                                | `"1"`   |
| **Body**   | **body**   *required*          | This is a JSON dictionary that contains information about the new user feedback.                                                            | [SubmitFeedbackModel](/rest-api/trading-api/feedback/submit-feedback/feedbacks_submitfeedback.md#submitfeedbackmodel) |         |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                                                             |
| --------- | ------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, JSON data containing the new feedback is returned.                            | [PagingResult\[SubmitFeedbackModel\]](/rest-api/trading-api/feedback/submit-feedback/feedbacks_submitfeedback.md#pagingresult-submitfeedbackmodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                                                                         |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                                                                         |
| **409**   | An error occurred while trying to submit the feedback.                                            | No Content                                                                                                                                         |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                                                                         |
| **500**   | Feedback wasn't submitted. Unknown server error                                                   | No Content                                                                                                                                         |

### Consumes

* `application/json`
* `text/json`

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/feedback/submit-feedback/feedbacks_submitfeedback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
